/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [tttdisp_cc] <00000017.00000000> Retained!
#include "ttteng.h"
#include "tttdisp.h"
// -MQEnd- [Module_Includes] [tttdisp_cc] <00000017.00000000> 

// -MQBeg- [Module_Declarations_1] [tttdisp_cc] <00000017.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [tttdisp_cc] <00000017.00000000> 

// -MQBeg- [Class_Body] [TTT_Display] <00000000.00000005> 
/******************************************************************************
                                  TTT_Display
******************************************************************************/

TTT_Display::TTT_Display(TTT_Engine *Engine)
// -MQBeg- [Op_Init] [TTT_Display::TTT_Display] <0000002D.00000028> Retained!
// -MQEnd- [Op_Init] [TTT_Display::TTT_Display] <0000002D.00000028> 
{
// -MQBeg- [Op_Body] [TTT_Display::TTT_Display] <0000002D.00000028> Retained!
  theEngine = Engine;
// -MQEnd- [Op_Body] [TTT_Display::TTT_Display] <0000002D.00000028> 
}

void
TTT_Display::Update()
{
// -MQBeg- [Op_Body] [TTT_Display::Update] <0000002D.00000029> Retained!
  int UserBoard, CompBoard;
  this->ClearDisplay();
  theEngine->GetBoards(UserBoard, CompBoard);
  this->DisplayBoards(UserBoard, CompBoard);
// -MQEnd- [Op_Body] [TTT_Display::Update] <0000002D.00000029> 
}

void
TTT_Display::DisplayBoards(int UserBoard, int CompBoard)
{
// -MQBeg- [Op_Body] [TTT_Display::DisplayBoards] <0000002D.00000031> Retained!
  char Move;
  int  Mask;
  for (int Row=0; Row<3; Row++)
  {
    for(int Col=0; Col<3; Col++)
    {
      Move = ' ';
      Mask = 1 << ((Row *3)+Col);
      if (UserBoard & Mask) Move='X';
      if (CompBoard & Mask) Move='O';
      this->DisplayMove(Row,Col,Move);
    }
  }  
// -MQEnd- [Op_Body] [TTT_Display::DisplayBoards] <0000002D.00000031> 
}

// -MQEnd- [Class_Body] [TTT_Display] <00000000.00000005> 

// -MQBeg- [Module_Declarations_2] [tttdisp_cc] <00000017.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [tttdisp_cc] <00000017.00000000> 
